Swaret

OBS! Det har blivit lite nytt med Swaret, bl.a ny hemsida, men principen är densamma.


Detta är definitivt mitt favoritprogram, ett "apt-get" till Slackware, fixar beroenden och uppgraderingar lätt som en plätt.
Hämta Swaret
Senaste versionen hittar du på http://sourceforge.net/projects/swaret/. Jag lägger det i /home/hakan/program.
Kontrollera beroenden
Du ska ha följande saker, kontrollera med pkgtool, under "remove" ser du vilka du har installerade.

Software you need to use swaret:
- You need Slackware Linux 8.1 or Higher or Current.
- slackware/a/bash.
- slackware/ap/bc
- slackware/a/bzip2
- slackware/a/coreutils or fileutils or textutils
- slackware/a/gawk
- slackware/l/glibc
- slackware/a/grep
- slackware/a/gzip
- slackware/a/man
- slackware/a/pkgtools.
- slackware/a/procps
- slackware/a/sed
- slackware/a/util-linux
- slackware/n/wget and/or slackware/n/rsync.

Programmen finns på CD 1 i katalogen "slackware" med underkataloger (A,AP,o.s.v.) följde du "minst" min installation är det bara "bc" du måste lägga till.
Nu ska du bli root.
$su
password:
#mount /dev/cdrom /mnt/cdrom
#cd /mnt/cdrom/slackware/ap
#installpkg bc-1.06-i386-2.tgz
Installera
#cd /home/hakan/program
#installpkg swaret-1.6.0-noarch-5.tgz
Nu har du all information i /usr/doc/swaret-1.6.0, läs detta! Själv har jag skrivit ut "HELP", den är bra att ha till hands. Det ger dig också en "swaret.conf.new" i katalogen /etc. Det förvalda är Ok att börja med, byt namn till swaret.conf och kör:
#swaret --update
Nu är du igång!!


Uppgradera Swaret

Senaste är 1.7.0_test4, jag laddar ner till /home/hakan/nya_program..

root@haze:/home/hakan/nya_program# upgradepkg swaret-1.7.0_test4-noarch-1.tgz
..bla,bla,bla..
YOU MUST EDIT /etc/swaret.conf! (man swaret.conf)
Old settings may be found at /etc/swaret.conf.old.

Jag följer "current". här ser du ett exempel på hur /etc/swaret.conf kan se ut då. Jag rekommenderar starkt att du sätter ROLLBACK=1, så du har möjlighet att gå "tillbaka om det inte fungerar. ;-)


Uppgradera till Slackware Current

OBS! Använd inte swaret om du uppgraderar från Slackware 11.0 till Slackware-current, det är alldelens för många nyheter, ta i stället en iso-fil här..

ftp://ftp.slackware.no/pub/linux/slackware/slackware-iso/slackware-current-iso/
..och gör en ny installation.

Valid HTML 4.01!